Summary: A library for locking devices
Name: lockdev
Version: 1.0.0
Release: alt1
License: LGPL
Group: System/Libraries
Source: ftp://ftp.debian.org/debian/dists/woody/main/source/libs/lockdev_1.0.0.tar.bz2
Patch0: lockdev-1.0.0-rh.patch
Patch1: lockdev-1.0.0-shared.patch
Patch2: lockdev-1.0.0-signal.patch
Patch3: lockdev-1.0.0-serial.patch
PreReq: /var/lock/serial

%description
Lockdev provides a reliable way to put an exclusive lock to devices
using both FSSTND and SVr4 methods.

%package -n lib%name
Summary:  A library for locking devices
Group: System/Libraries

%description -n lib%name
The lockdev library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods.

%package  -n lib%name-devel
Summary: The header files and a static library for the lockdev library
Group: Development/C
Requires: lib%name = %version-%release

%description  -n lib%name-devel
The lockdev library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods. The liblockdev-devel
package contains the development headers.

%package  -n lib%name-devel-static
Summary: The header files and a static library for the lockdev library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description  -n lib%name-devel-static
The lockdev library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods. The liblockdev-devel-static
package contains the static library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make "CFLAGS=${RPM_OPT_FLAGS} -fPIC"

%install
make \
    sbindir=$RPM_BUILD_ROOT%_sbindir \
    libdir=$RPM_BUILD_ROOT%_libdir \
    incdir=$RPM_BUILD_ROOT%_includedir \
    mandir=$RPM_BUILD_ROOT%_mandir \
	install

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files
%attr(2711,root,uucp)	%_sbindir/lockdev

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_mandir/man*/*
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.0-alt1
- First build for Sisyphus

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun  5 2002 Jeff Johnson <jbj@redhat.com> 1.0.0-19
- fix: don't ignore signals, use default behavior instead (#63468).

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Feb 25 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.0-16
- include liblockdev.so so that programs can link to a shared liblockdev
- fix shared library version numbers

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov 29 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.0.0-16
- Rebuilt

* Fri Oct 26 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.0.0-15
- Add copyright/license info to baudboy.h (#54321)

* Tue Sep  4 2001 Jeff Johnson <jbj@redhat.com>
- swap egid and gid for lockdev's access(2) device check (#52029).

* Tue Aug 28 2001 Jeff Johnson <jbj@redhat.com>
- typo in include file (#52704).
- map specific errno's into status for return from helper.

* Tue Aug 14 2001 Jeff Johnson <jbj@redhat.com>
- set exit status correctly.

* Thu Aug  9 2001 Bill Nottingham <notting@redhat.com>
- check that we can open the device r/w before locking
- fix calling lockdev without any arguments
- fix waitpid() call in baudboy.h
- use umask(002), not umask(0)

* Wed Aug  8 2001 Bill Nottingham <notting@redhat.com>
- add lock group here, own /var/lock as well

* Sun Aug  5 2001 Jeff Johnson <jbj@redhat.com>
- include setgid helper binary and baudboy.h.

* Mon Jun 18 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make the -devel depend on the main package

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- add %%defattr for -devel

* Sat Jun 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_mandir}

* Thu May 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first build
